/* WiiToMidiController */

#import <Cocoa/Cocoa.h>
#import <WiiRemote/WiiRemote.h>
#import <WiiRemote/WiiRemoteDiscovery.h>

#import "WiiMidiDelegate.h"

@interface WiiToMidiController : NSObject
{
    IBOutlet NSTextField *wiimoteMessage;
	IBOutlet NSPopUpButton *midiChannel;
	
	WiiMidiDelegate *wiiMidiDelegate;
	WiiRemoteDiscovery *discovery;
}

-(void) midiChannelChanged:(NSPopUpButton*)button;

@end
